Bug 738732 - slow resume (~10s) with SB850 and samsung hard drives
Summary: slow resume (~10s) with SB850 and samsung hard drives
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 17:13 UTC by Oliver Henshaw
Modified: 2015-03-24 14:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 17:18:54 UTC


Attachments (Terms of Use)
messages loggied to dmesg over suspend/resume (5.82 KB, text/plain)
2012-03-29 09:48 UTC, Oliver Henshaw
no flags Details

Description Oliver Henshaw 2011-09-15 17:13:19 UTC
Description of problem:

My machine (GA-890GPA-UD3H motherboard with Samsung F3 and F3EG harddrives) has always been slow to resume from S3 suspend, ever since it was built with F13 installed. Since updating to F15 I also see "softreset failed (device not ready)" messages on resume, though the resume speed has not changed.

Resume seems to take around 10 seconds, most of which seems to be waiting for the hard drives - as demonstrated in the following extract from /var/log/messages.


Sep 15 12:37:45 alpine kernel: [ 8199.629933] PM: Syncing filesystems ... done.
Sep 15 12:49:20 alpine kernel: [ 8200.041170] Freezing user space processes ... (elapsed 0.03 seconds) done.
Sep 15 12:49:20 alpine kernel: [ 8200.074176] Freezing remaining freezable tasks ... (elapsed 0.01 seconds) done.
Sep 15 12:49:20 alpine kernel: [ 8200.085200] Suspending console(s) (use no_console_suspend to debug)
Sep 15 12:49:20 alpine kernel: [ 8200.089622] sd 2:0:0:0: [sdb] Synchronizing SCSI cache
Sep 15 12:49:20 alpine kernel: [ 8200.089639] i8042 kbd 00:08: wake-up capability enabled by ACPI
Sep 15 12:49:20 alpine kernel: [ 8200.089695] sd 2:0:0:0: [sdb] Stopping disk
Sep 15 12:49:20 alpine kernel: [ 8200.089727] serial 00:07: disabled
Sep 15 12:49:20 alpine kernel: [ 8200.089739] sd 0:0:0:0: [sda] Synchronizing SCSI cache
Sep 15 12:49:20 alpine kernel: [ 8200.089817] sd 0:0:0:0: [sda] Stopping disk
Sep 15 12:49:20 alpine kernel: [ 8200.090126] pata_jmicron 0000:05:00.1: PCI INT B disabled
Sep 15 12:49:20 alpine kernel: [ 8200.090180] ahci 0000:05:00.0: PCI INT A disabled
Sep 15 12:49:20 alpine kernel: [ 8200.090263] parport_pc 0000:04:06.0: PCI INT A disabled
Sep 15 12:49:20 alpine kernel: [ 8200.091941] ehci_hcd 0000:00:16.2: PCI INT B disabled
Sep 15 12:49:20 alpine kernel: [ 8200.091956] ohci_hcd 0000:00:16.0: PCI INT A disabled
Sep 15 12:49:20 alpine kernel: [ 8200.092012] ohci_hcd 0000:00:14.5: PCI INT C disabled
Sep 15 12:49:20 alpine kernel: [ 8200.092110] ehci_hcd 0000:00:13.2: PCI INT B disabled
Sep 15 12:49:20 alpine kernel: [ 8200.092181] ohci_hcd 0000:00:12.0: PCI INT A disabled
Sep 15 12:49:20 alpine kernel: [ 8200.100076] ohci_hcd 0000:00:13.0: PCI INT A disabled
Sep 15 12:49:20 alpine kernel: [ 8200.140059] ehci_hcd 0000:00:12.2: PCI INT B disabled
Sep 15 12:49:20 alpine kernel: [ 8200.191070] HDA Intel 0000:01:05.1: PCI INT B disabled
Sep 15 12:49:20 alpine kernel: [ 8200.396120] HDA Intel 0000:00:14.2: PCI INT A disabled
Sep 15 12:49:20 alpine kernel: [ 8200.446679] radeon 0000:01:05.0: PCI INT A disabled
Sep 15 12:49:20 alpine kernel: [ 8202.563316] PM: suspend of devices complete after 2477.880 msecs
Sep 15 12:49:20 alpine kernel: [ 8202.563516] pcieport 0000:00:0a.0: wake-up capability enabled by ACPI
Sep 15 12:49:20 alpine kernel: [ 8202.618158] PM: late suspend of devices complete after 54.836 msecs
Sep 15 12:49:20 alpine kernel: [ 8202.618194] ACPI: Preparing to enter system sleep state S3
Sep 15 12:49:20 alpine kernel: [ 8202.620988] PM: Saving platform NVS memory
Sep 15 12:49:20 alpine kernel: [ 8202.620994] Disabling non-boot CPUs ...
Sep 15 12:49:20 alpine kernel: [ 8202.622627] CPU 1 is now offline
Sep 15 11:49:20 alpine rtkit-daemon[1811]: The canary thread is apparently starving. Taking action.
Sep 15 11:49:20 alpine rtkit-daemon[1811]: Demoting known real-time threads.
Sep 15 11:49:20 alpine rtkit-daemon[1811]: Demoted 0 threads.
Sep 15 12:49:20 alpine kernel: [ 8202.622827] bnx2fc: CPU 1 offline: Remove Rx thread
Sep 15 12:49:20 alpine kernel: [ 8202.624318] CPU 2 is now offline
Sep 15 12:49:20 alpine kernel: [ 8202.624483] bnx2fc: CPU 2 offline: Remove Rx thread
Sep 15 12:49:20 alpine kernel: [ 8202.624567] ACPI: Low-level resume complete
Sep 15 12:49:20 alpine kernel: [ 8202.624567] PM: Restoring platform NVS memory
Sep 15 12:49:20 alpine kernel: [ 8202.624567] PCI-DMA: Resuming GART IOMMU
Sep 15 12:49:20 alpine kernel: [ 8202.624567] PCI-DMA: Restoring GART aperture settings
Sep 15 12:49:20 alpine kernel: [ 8202.624567] Enabling non-boot CPUs ...
Sep 15 12:49:20 alpine kernel: [ 8202.624567] Booting Node 0 Processor 1 APIC 0x1
Sep 15 12:49:20 alpine kernel: [ 8202.622474] Switch to broadcast mode on CPU1
Sep 15 12:49:20 alpine kernel: [ 8202.715355] NMI watchdog enabled, takes one hw-pmu counter.
Sep 15 12:49:20 alpine kernel: [ 8202.715613] bnx2fc: CPU 1 online: Create Rx thread
Sep 15 12:49:20 alpine kernel: [ 8202.715634] CPU1 is up
Sep 15 12:49:20 alpine kernel: [ 8202.715712] Booting Node 0 Processor 2 APIC 0x2
Sep 15 12:49:20 alpine kernel: [ 8202.716013] Switched to NOHz mode on CPU #1
Sep 15 12:49:20 alpine kernel: [ 8202.624191] Switch to broadcast mode on CPU2
Sep 15 12:49:20 alpine kernel: [ 8202.806390] NMI watchdog enabled, takes one hw-pmu counter.
Sep 15 12:49:20 alpine kernel: [ 8202.806663] bnx2fc: CPU 2 online: Create Rx thread
Sep 15 12:49:20 alpine kernel: [ 8202.806684] CPU2 is up
Sep 15 12:49:20 alpine kernel: [ 8202.806952] ACPI: Waking up from system sleep state S3
Sep 15 12:49:20 alpine kernel: [ 8202.807022] Switched to NOHz mode on CPU #2
Sep 15 12:49:20 alpine kernel: [ 8202.846087] ehci_hcd 0000:00:12.2: BAR 0: set to [mem 0xfe02d000-0xfe02d0ff] (PCI address [0xfe02d000-0xfe02d0ff])
Sep 15 12:49:20 alpine kernel: [ 8202.857086] ehci_hcd 0000:00:13.2: BAR 0: set to [mem 0xfe02b000-0xfe02b0ff] (PCI address [0xfe02b000-0xfe02b0ff])
Sep 15 12:49:20 alpine kernel: [ 8202.868084] ehci_hcd 0000:00:16.2: BAR 0: set to [mem 0xfe028000-0xfe0280ff] (PCI address [0xfe028000-0xfe0280ff])
Sep 15 12:49:20 alpine kernel: [ 8202.868583] PM: early resume of devices complete after 33.019 msecs
Sep 15 12:49:20 alpine kernel: [ 8202.868700] ohci_hcd 0000:00:12.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Sep 15 12:49:20 alpine kernel: [ 8202.868804] ehci_hcd 0000:00:12.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
Sep 15 12:49:20 alpine kernel: [ 8202.868821] ohci_hcd 0000:00:13.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Sep 15 12:49:20 alpine kernel: [ 8202.868837] ehci_hcd 0000:00:13.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
Sep 15 12:49:20 alpine kernel: [ 8202.868853] HDA Intel 0000:00:14.2: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Sep 15 12:49:20 alpine kernel: [ 8202.868890] ohci_hcd 0000:00:16.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Sep 15 12:49:20 alpine kernel: [ 8202.868896] ohci_hcd 0000:00:14.5: PCI INT C -> GSI 18 (level, low) -> IRQ 18
Sep 15 12:49:20 alpine kernel: [ 8202.868935] radeon 0000:01:05.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Sep 15 12:49:20 alpine kernel: [ 8202.868938] HDA Intel 0000:01:05.1: PCI INT B -> GSI 19 (level, low) -> IRQ 19
Sep 15 12:49:20 alpine kernel: [ 8202.869019] usb usb8: root hub lost power or was reset
Sep 15 12:49:20 alpine kernel: [ 8202.869021] usb usb9: root hub lost power or was reset
Sep 15 12:49:20 alpine kernel: [ 8202.870212] ehci_hcd 0000:00:16.2: PCI INT B -> GSI 17 (level, low) -> IRQ 17
Sep 15 12:49:20 alpine kernel: [ 8202.870467] serial 00:07: activated
Sep 15 12:49:20 alpine kernel: [ 8202.870475] i8042 kbd 00:08: wake-up capability disabled by ACPI
Sep 15 12:49:20 alpine kernel: [ 8202.870607] pcieport 0000:00:0a.0: wake-up capability disabled by ACPI
Sep 15 12:49:20 alpine kernel: [ 8202.872488] parport_pc 0000:04:06.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
Sep 15 12:49:20 alpine kernel: [ 8202.872555] ahci 0000:05:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
Sep 15 12:49:20 alpine kernel: [ 8202.872598] pata_jmicron 0000:05:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
Sep 15 12:49:20 alpine kernel: [ 8202.874180] sd 0:0:0:0: [sda] Starting disk
Sep 15 12:49:20 alpine kernel: [ 8202.874264] sd 2:0:0:0: [sdb] Starting disk
Sep 15 12:49:20 alpine kernel: [ 8202.890238] radeon 0000:01:05.0: WB enabled
Sep 15 12:49:20 alpine kernel: [ 8202.921414] [drm] ring test succeeded in 1 usecs
Sep 15 12:49:20 alpine kernel: [ 8202.921424] [drm] ib test succeeded in 0 usecs
Sep 15 12:49:20 alpine kernel: [ 8202.923165] firewire_core: skipped bus generations, destroying all nodes
Sep 15 12:49:20 alpine kernel: [ 8203.173081] ata6: SATA link down (SStatus 0 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8203.173109] ata4: SATA link down (SStatus 0 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8203.173132] ata2: SATA link down (SStatus 0 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8203.188083] ata7: SATA link down (SStatus 0 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8203.188121] ata8: SATA link down (SStatus 0 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8203.328073] ata5: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8203.331698] ata5.00: configured for UDMA/100
Sep 15 12:49:20 alpine kernel: [ 8203.424103] firewire_core: rediscovered device fw0
Sep 15 12:49:20 alpine kernel: [ 8210.060078] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8210.071549] ata3.00: configured for UDMA/133
Sep 15 12:49:20 alpine kernel: [ 8212.916069] ata1: softreset failed (device not ready)
Sep 15 12:49:20 alpine kernel: [ 8213.478085] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
Sep 15 12:49:20 alpine kernel: [ 8213.489970] ata1.00: configured for UDMA/133
Sep 15 12:49:20 alpine kernel: [ 8213.492753] PM: resume of devices complete after 10624.138 msecs
Sep 15 12:49:20 alpine kernel: [ 8213.492942] Restarting tasks ... done.



Version-Release number of selected component (if applicable):

kernel-2.6.40.4-5.fc15.x86_64



Additional info:

$ lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS880 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780/RS880 PCI to PCI bridge (int gfx)
00:05.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 1)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780/RS880 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode] (rev 40)
00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 41)
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA) (rev 40)
00:14.3 ISA bridge: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller (rev 40)
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge (rev 40)
00:14.5 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:15.0 PCI bridge: ATI Technologies Inc SB700/SB800 PCI to PCI bridge (PCIE port 0)
00:16.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Link Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS880 [Radeon HD 4290]
01:05.1 Audio device: ATI Technologies Inc RS880 Audio Device [Radeon HD 4200]
02:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 03)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
04:06.0 Parallel controller: Timedia Technology Co Ltd SUN1888 (Dual IEEE1284 parallel port) (rev 01)
04:0e.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
05:00.0 SATA controller: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller (rev 02)
05:00.1 IDE interface: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller (rev 02)

Comment 1 Oliver Henshaw 2011-09-15 17:18:27 UTC
And here's an extract from dmesg from boot time, to show what devices are on what sata ports.

$ dmesg | egrep "scsi|ahci|ata|sd"
[    0.237721] libata version 3.00 loaded.
[    0.688537] ahci 0000:00:11.0: version 3.0
[    0.688559] ahci 0000:00:11.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[    0.688615] ahci 0000:00:11.0: irq 42 for MSI/MSI-X
[    0.688702] ahci 0000:00:11.0: AHCI 0001.0200 32 slots 6 ports 6 Gbps 0x3f impl SATA mode
[    0.688705] ahci 0000:00:11.0: flags: 64bit ncq sntf ilck pm led clo pmp pio slum part 
[    0.689367] scsi0 : ahci
[    0.689512] scsi1 : ahci
[    0.689614] scsi2 : ahci
[    0.689668] scsi3 : ahci
[    0.689715] scsi4 : ahci
[    0.689768] scsi5 : ahci
[    0.689863] ata1: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f100 irq 42
[    0.689866] ata2: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f180 irq 42
[    0.689868] ata3: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f200 irq 42
[    0.689870] ata4: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f280 irq 42
[    0.689873] ata5: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f300 irq 42
[    0.689876] ata6: SATA max UDMA/133 abar m1024@0xfe02f000 port 0xfe02f380 irq 42
[    0.690001] ahci 0000:05:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    0.690124] ahci 0000:05:00.0: AHCI 0001.0000 32 slots 2 ports 3 Gbps 0x3 impl SATA mode
[    0.690127] ahci 0000:05:00.0: flags: 64bit ncq pm led clo pmp pio slum part 
[    0.690132] ahci 0000:05:00.0: setting latency timer to 64
[    0.690437] scsi6 : ahci
[    0.690528] scsi7 : ahci
[    0.690560] ata7: SATA max UDMA/133 abar m8192@0xfd9fe000 port 0xfd9fe100 irq 17
[    0.690563] ata8: SATA max UDMA/133 abar m8192@0xfd9fe000 port 0xfd9fe180 irq 17
[    0.995085] ata6: SATA link down (SStatus 0 SControl 300)
[    0.995133] ata4: SATA link down (SStatus 0 SControl 300)
[    0.996108] ata8: SATA link down (SStatus 0 SControl 300)
[    0.996148] ata7: SATA link down (SStatus 0 SControl 300)
[    0.996186] ata2: SATA link down (SStatus 0 SControl 300)
[    1.149088] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    1.150080] ata5: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    1.151082] ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[    1.151737] ata5.00: ATAPI: Optiarc DVD RW AD-7261S, 1.01, max UDMA/100
[    1.153749] ata5.00: configured for UDMA/100
[    1.155017] ata1.00: ATA-8: SAMSUNG HD153WI, 1AN10003, max UDMA/133
[    1.155024] ata1.00: 2930277168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[    1.156799] ata3.00: ATA-8: SAMSUNG HD103SJ, 1AJ10001, max UDMA/133
[    1.156802] ata3.00: 1953525168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[    1.160986] ata1.00: configured for UDMA/133
[    1.161194] scsi 0:0:0:0: Direct-Access     ATA      SAMSUNG HD153WI  1AN1 PQ: 0 ANSI: 5
[    1.161344] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    1.161435] sd 0:0:0:0: [sda] 2930277168 512-byte logical blocks: (1.50 TB/1.36 TiB)
[    1.161524] sd 0:0:0:0: [sda] Write Protect is off
[    1.161526] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    1.161556] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.162555] ata3.00: configured for UDMA/133
[    1.162741] scsi 2:0:0:0: Direct-Access     ATA      SAMSUNG HD103SJ  1AJ1 PQ: 0 ANSI: 5
[    1.162877] sd 2:0:0:0: Attached scsi generic sg1 type 0
[    1.162901] sd 2:0:0:0: [sdb] 1953525168 512-byte logical blocks: (1.00 TB/931 GiB)
[    1.162936] sd 2:0:0:0: [sdb] Write Protect is off
[    1.162938] sd 2:0:0:0: [sdb] Mode Sense: 00 3a 00 00
[    1.162951] sd 2:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    1.164242] scsi 4:0:0:0: CD-ROM            Optiarc  DVD RW AD-7261S  1.01 PQ: 0 ANSI: 5
[    1.166444] sr0: scsi3-mmc drive: 48x/48x writer dvd-ram cd/rw xa/form2 cdda tray
[    1.166553] sr 4:0:0:0: Attached scsi CD-ROM sr0
[    1.166619] sr 4:0:0:0: Attached scsi generic sg2 type 5
[    1.169460]  sdb: sdb1 sdb2
[    1.169682] sd 2:0:0:0: [sdb] Attached SCSI disk
[    1.194575]  sda: sda1
[    1.195020] sd 0:0:0:0: [sda] Attached SCSI disk
[    2.193723] pata_jmicron 0000:05:00.1: enabling device (0000 -> 0001)
[    2.193733] pata_jmicron 0000:05:00.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    2.193761] pata_jmicron 0000:05:00.1: setting latency timer to 64
[    2.201486] scsi8 : pata_jmicron
[    2.201588] scsi9 : pata_jmicron
[    2.201618] ata9: PATA max UDMA/100 cmd 0xaf00 ctl 0xae00 bmdma 0xab00 irq 17
[    2.201620] ata10: PATA max UDMA/100 cmd 0xad00 ctl 0xac00 bmdma 0xab08 irq 17
[    2.535713] dracut: Scanning devices sda1 sdb2  for LVM volume groups

Comment 2 Oliver Henshaw 2011-11-09 11:49:01 UTC
Both the slow resume and the "softreset failed (device not
ready)" message persists in F16, kernel-3.1.0-7.fc16.x86_64.

Comment 3 Dave Jones 2012-03-22 16:45:23 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 4 Dave Jones 2012-03-22 16:49:51 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 5 Dave Jones 2012-03-22 16:59:28 UTC
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Comment 6 Oliver Henshaw 2012-03-29 09:48:26 UTC
Created attachment 573606 [details]
messages loggied to dmesg over suspend/resume

Problem persists in 3.3.0-4.fc16.x86_64. The thread https://lkml.org/lkml/2012/1/17/279 suggests that there's some work in this area.


While resume times haven't improved, there is some subtle difference in the logs - in the original report (and in all old /var/log/messages* going back a month) the "starting disk" messages came in immediate succession near the beginning of the resume:

Sep 15 12:49:20 alpine kernel: [ 8202.874180] sd 0:0:0:0: [sda] Starting disk
Sep 15 12:49:20 alpine kernel: [ 8202.874264] sd 2:0:0:0: [sdb] Starting disk

but in kernel 3.3 they are separated by a few seconds and come at the end of the resume:

[14378.508649] sd 2:0:0:0: [sdb] Starting disk
[14380.894054] ata1: softreset failed (device not ready)
[14381.864087] ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
[14381.875957] ata1.00: configured for UDMA/133
[14381.876034] sd 0:0:0:0: [sda] Starting disk

Not sure if that means anything, but I've attached an updated extract from dmesg over suspend/resume.

Comment 7 Josh Boyer 2012-09-17 18:15:06 UTC
Are you still seeing this with the 3.4 or 3.5 kernel updates?

Comment 8 Oliver Henshaw 2012-09-19 12:05:16 UTC
Still seeing it with kernel-3.4.9-2.fc16.x86_64.

Comment 9 Dave Jones 2012-10-23 15:33:34 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 10 Oliver Henshaw 2012-10-23 16:28:19 UTC
Unchanged with 3.6.2-1.fc16.x86_64

Comment 11 Fedora End Of Life 2013-01-16 14:30:36 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Fedora End Of Life 2013-02-13 15:34:16 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Oliver Henshaw 2013-06-18 14:13:38 UTC
Still see this with kernel-3.8.13-100.fc17.x86_64

Comment 14 Fedora End Of Life 2013-07-04 05:59:03 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 17:19:01 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 Oliver Henshaw 2015-03-24 14:29:33 UTC
Still happens on F20, but doesn't slow resume anymore. Since it did still slow resume on F19, this was probably improved by http://kernelnewbies.org/Linux_3.15#head-3abfee1e7c09473e1d9617d8765ce0925396baa4


Note You need to log in before you can comment on or make changes to this bug.